#include "controlbrightnessscheduleedit.h"
#include "ui_controlbrightnessscheduleedit.h"

ControlBrightnessScheduleEdit::ControlBrightnessScheduleEdit(QWidget *parent) :
    LoQDialog(parent),
    ui(new Ui::ControlBrightnessScheduleEdit)
{
    ui->setupUi(this);
    ui->lineEdit->setFocus();
    ui->lineEdit->setStyleSheet("background-color:#FFFFFF");
    ui->timeEditStart->setStyleSheet("background-color:#FFFFFF");
    ui->timeEditEnd->setStyleSheet("background-color:#FFFFFF");
    ui->pushButtonOk->setProperty("ssType", "progManageTool");
    ui->pushButtonOk->setStyleSheet("QPushButton{background:rgba(28,154,210,1);}");
    ui->pushButtonCancel->setProperty("ssType", "progManageTool");
    ui->pushButtonCancel->setStyleSheet("QPushButton{background:rgba(28,154,210,1);}");
    ui->pushButtonClose->setProperty("ssType", "progManageTool");
    ui->pushButtonClose->setStyleSheet("QPushButton{background:rgba(28,154,210,1);}");
    setStyleSheet("background-color:#D5D5D5");
    connect(ui->pushButtonOk,SIGNAL(clicked()),this,SLOT(OnClickAddOneItem()));
}

ControlBrightnessScheduleEdit::~ControlBrightnessScheduleEdit()
{
    delete ui;
}

void ControlBrightnessScheduleEdit::OnClickAddOneItem()
{
    emit sigAddOneItem(ui->timeEditStart->time().toString(),ui->timeEditEnd->time().toString(),ui->lineEdit->text().toInt());
}
